def armstrongov(n):
    '''Funkcija vraća True ako je n Armstrongov broj, a inače vraća False'''
    s = 0
    t = n
    while n > 0:
        s += (n % 10) ** 3
        n //= 10
    if s == t:
        return True
    else:
        return False

def prost(n):
    '''Funkcija vraća True ukoliko je n prost broj a inače vraća False'''
    for i in range(2, round(n ** (1 / 2) + 1)):
        if n % i == 0:
            return False
    if n > 1:
        return True
    else:
        return False

def main():
    n = int(input('Unesi prirodan broj: '))    
    b = 0
    for i in range(1, n + 1):
        if armstrongov(i) and prost(i):
            b += 1
            print(i)
    if b == 0:
        print('Nema')
    return

main()
