# Kvadrati s interpoliranim bojama: primjer_08_06
from turtle import *

def kvadrat(stranica):
    pu()
    goto(-stranica // 2, -stranica // 2)
    pd()
    for i in range(4):
        fd(stranica)
        lt(90)
    return

def main():
    print('Program će nacrtati kvadrate s interpoliranim bojama')
    print('Boje se zadaju rgb brojevima u intervalu od 0.0 do 1.0')
    bo_a = input('Komponente boje_a odvojene zarezima r, g, b = ').split(',')  # 1
    bo_b = input('Komponente boje_b odvojene zarezima r, g, b = ').split(',')
    r_a, g_a, b_a = float(bo_a[0]), float(bo_a[1]), float(bo_a[2])             # 2
    r_b, g_b, b_b = float(bo_b[0]), float(bo_b[1]), float(bo_b[2])
    print('Boju pera može se odabrati tako da bude jednaka boji ispune ili crna')
    pero_crno = input('Boja pera crna (da/ne): ')
    print('Za crtanje 10 interpolacija utipkati 10')
    print('Za crtanje 100 interpolacija utipkati 100')
    n = int(input('Broj interpolacija n = '))
    title('Kvadrati s interpoliranim bojama')
    print('Crtanje počinje!')
    if n == 100:                                                               # 3
        tracer(False)
    pencolor(0.0, 0.0, 0.0)                                                    # 4
    colormode(1.0)
    for i in range(n + 1):
        f_i = i/n
        r = f_i * r_b + (1.0 - f_i) * r_a
        g = f_i * g_b + (1.0 - f_i) * g_a
        b = f_i * b_b + (1.0 - f_i) * b_a        
        if pero_crno == 'da':                                                  # 5
            fillcolor(r,g,b)
        else:
            color(r,g,b)
        stranica = 400 - (i - 1) * 400 // n       
        begin_fill()
        kvadrat(stranica)
        end_fill()
    if n == 100:
        tracer(True)
    ht()
    return 'Gotovo!'
	
poruka = main()
print(poruka)
mainloop()






