# Kvadrat od 101 x 101 kvadratića s bilinearnom interpolacijom boja: program_08_09_C
from turtle import *

def kvadrat(stranica):
    pd()
    for i in range(4):
        fd(stranica)
        lt(90)
    return

def main():
    n = 100 
    r_a, g_a, b_a = 1.0, 0.0, 1.0
    r_b, g_b ,b_b = 0.0, 1.0, 0.0
    r_c, g_c, b_c = 0.0, 1.0, 1.0
    r_d, g_d, b_d = 1.0, 1.0, 0.0    
    stranica = 4                                                		
    p_t = (-202, -202)                                           		
    title('Kvadrat od 101 x 101 kvadratića s bilinearnom interpolacijom boja')
    print('Crtanje počinje!')
    tracer(False) 
    for i in range(n + 1):
        f_i = i / n                                  		
        for j in range(n + 1):
            f_j = j / n
            r = (1.0 - f_i) * (1 - f_j) * r_a + f_i * (1 - f_j) * r_b +\
                (1 - f_i) * f_j * r_c + f_i * f_j * r_d
            g = (1.0 - f_i) * (1 - f_j) * g_a + f_i * (1 - f_j) * g_b +\
                (1 - f_i) * f_j * g_c + f_i * f_j * g_d                
            b = (1.0 - f_i) * (1 - f_j) * b_a + f_i * (1 - f_j) * b_b +\
                (1 - f_i) * f_j * b_c + f_i * f_j * b_d   
            color(r,g,b)
            pu()
            goto(p_t[0] + i * stranica, p_t[1] + j * stranica)
            begin_fill()
            kvadrat(stranica)
            end_fill()
    tracer(True)	 
    ht()
    return ('Gotovo!')
	
poruka = main()
print(poruka)
mainloop()


