#Okvir s podjelama i opisom: primjer_08_11_C
from turtle import *

def okvir(x_dim, y_dim):
    ht(); pu(); speed(0)
    x_p = -x_dim // 2; y_p = -y_dim // 2
    goto(x_p, y_p)
    pd(); pencolor('black')
    fd(x_dim); lt(90); fd(y_dim); lt(90); fd(x_dim); lt(90); fd(y_dim); lt(90)
    return

def podjela_osi(os_dim, oznake):
    pd = len(oznake) - 1
    d = round(os_dim/pd)
    razlika = os_dim -  d * pd
    os = [-os_dim // 2]
    for i in range(1, pd + 1):
        os.append(os[i-1] + d)
        if razlika != 0 and (i % (pd // abs(razlika)) == 0):
            if razlika > 0:
                os[i] += 1
            else:
                os[i] -= 1
    return os

def crtanje_x_osi(x_dim, y_dim, oz_x, opis_x, mreža):
    x_os = podjela_osi(x_dim,oz_x)
    # crtanje podjeljaka i oznaka na osi x
    seth(90)
    y_p = -y_dim // 2
    for i in range(1, len(x_os) - 1):					# 1
        pu(); goto(x_os[i], y_p)
        pd(); fd(5)
        if mreža == 1:
            pencolor(0.8,0.8,0.8)						# 2
            fd(y_dim - 5)
            pencolor('black')
    for i in range(len(x_os)):						# 3
        pu(); goto(x_os[i], y_p - 20)
        write(oz_x[i],align = 'center') 
    #opis osi x
    pu(); goto(x_dim // 2 - len(opis_x), y_p - 40)			# 4
    write(opis_x, align = 'right', font = ('Arial', 10, 'normal'))
    return

def crtanje_y_osi(x_dim, y_dim, oz_y, opis_y, mreža):
    y_os = podjela_osi(y_dim,oz_y)
    #crtanje podjeljaka na osi y
    seth(0)								# 5
    x_p = -x_dim // 2; y_p = -y_dim // 2
    for i in range(1, len(y_os) - 1):
        pu(); goto(x_p,y_os[i])
        pd(); fd(5)
        if mreža == 1:
            pencolor(0.8,0.8,0.8)
            fd(x_dim - 5)
            pencolor('black')
    for i in range(len(y_os)):
        pu(); goto(x_p - 8 - len(str(oz_y[i])), y_os[i] - 7)	    
        write(oz_y[i], align = 'right')
    #opis osi y
    pu(); goto(x_p - 8 - len(opis_y), y_dim // 2 + 10)			
    write(opis_y, align = 'center', font = ('Arial', 10, 'normal'))
    return

#Parametri crteža
x_dim = 400
y_dim = 300
oznake_x = [-1, 0, 1, 2, 3, 4, 5, 6]
oznake_y = [-30, -20, -10, 0, 10, 20, 30, 40]
opis_x = 'x'
opis_y = 'y'
naziv = 'Crtanje funkcije y = 4*x**3 - 28*x**2 + 48*x'

def main():
    title(naziv)
    okvir(x_dim,y_dim)
    mreža = 1
    crtanje_x_osi(x_dim, y_dim, oznake_x, opis_x, mreža)
    crtanje_y_osi(x_dim, y_dim, oznake_y, opis_y, mreža)
    pu(); goto(0, y_dim//2 + 20)
    write(naziv, align = 'center',font = ('Arial', 11, 'normal'))
    return 'Gotovo!'

poruka = main()
print(poruka)
mainloop() 


