# Kružni isječak: primjer_08_18_ B
from turtle import *
title('Kružni isječak')

def kruž_isječak(x_s, y_s, r, kut_p, kut_i):
    '''Funkcija crta kružni isječak kružnice
    x_s, y_s - koordinate središta (tipa int)
    r        - polumjer kružnice
    kut_p    - kut zakreta isječka u stupnjevima (kut_p mjeri se od osi x
               obrnuto od smjera kazaljke na satu (tip int ili float
    kut_i    - središnji kut kružnog isječka u stupnjevima (tip float ili int)'''        
    ht()
    pu(); goto(x_s, y_s); pd()
    seth(kut_p)
    fd(r)
    lt(90);
    circle(r, kut_i)
    lt(90);
    fd(r)
    return

def main():
    ponavljanje = True
    while ponavljanje:								# 1 
        sr_kru = textinput('Središte kružnice', 'Upisati koordinate x, y') .split(',') 
        x_s = int(sr_kru[0]); y_s = int(sr_kru[1])
        r = int(textinput('Polumjer', 'Upisati duljinu polumjera')) 
        kut_p = int(textinput('Kut zakreta isječka', 'Upisati kut'))
        kut_i = int(textinput('Središnji kut isječka', 'Upisati kut'))	
        kruž_isječak(x_s, y_s, r, kut_p, kut_i)
        pon = textinput('Ponoviti crtanje?', 'Za ponavljanje upisati: da')	# 2
        if pon == 'da':
            reset(); ht()
        else:
            ponavljanje = False
    return 'Gotovo!'

poruka = main()
print(poruka)									# 3
pu()
goto(0, -280)
write('Klikom miša na gumb X okončati program', align = 'center')		# 9
mainloop() 
