# Ograničeno nasumično koračanje: primjer_08_20_D

from turtle import *
import random

xy_dim = 400
maks_koraka = 100
duljina_koraka = 20

naziv = 'Ograničeno nasumično koračanje - šetnja s brojanjem koraka'
title(naziv)
ponoviti = True								# 1 
while ponoviti:
    tracer(False)
    pu(); goto(-xy_dim // 2, -xy_dim // 2); seth(0)			# 2
    pd()
    for i in range(4):
        fd(xy_dim); lt(90)
    # inicijalizacija kretanja
    pu(); goto(0,0); pd(); pencolor('blue')
    x, y = pos()								# 3
    koraci = 0								# 4
    pencolor('black'); dot(5); pencolor('blue')
    while ((abs(x) <= xy_dim // 2) and (abs(y) <= xy_dim //2 ))\
           and koraci < maks_koraka:
        seth(random.randint(0,360))					# 5
        fd(duljina_koraka)
        pencolor('black'); dot(5); pencolor('blue')
        x, y = pos()							# 6
        koraci += 1							# 7  
    ht(); pu(); pencolor('black'); goto(0, -280)
    if koraci == maks_koraka:
        write ('Kornjača nije dosegnula granicu u {0} koraka.'.format(str(koraci)),
               align = 'center')
    else:
        write ('Kornjača je dosegnula granicu u {0} koraka.'.format(str(koraci)),
               align = 'center')    
    tracer(True)
    stati = textinput('OK za nastavak ', 'STOJ za okončanje')	# 8
    if stati == 'STOJ' :
        ponoviti = False
        undo()								# 9
        write ('Eksperimentiranje završeno. Klikom na gumb X okončati program',
               align = 'center')
    else:
        reset()								# 10

mainloop()
